Jump to content

Prestacenter Payments2Carriers Free for PS 1.5 and 1.6


Recommended Posts

Prestacenter Payments2Carriers Free version 0.9.1

 

Module Prestacenter Payments2Carriers Free is used to assign payment methods to carriers.

The new version is completely redesigned and works in all versions of PrestaShop 1.5 and 1.6.

Limitation: Free version does not work in Mutistore e-shops.

 

 

Download removed by moderator.

  • Like 9

Share this post


Link to post
Share on other sites
  • 3 weeks later...
  • 5 weeks later...

Unfortunately I've got : Failed to install database tables of this module on prestashop 1.6.0.6. Any ideas?

 

You probably have bad setting rights for the creating new tables in the MySQL database.

Share this post


Link to post
Share on other sites
  • 2 weeks later...

Ahoj, mám nainstalovaný Prestashop 1.6.0.8 a používám jednostránkovou platbu.

Modul (v0.9.1) se nainstaloval a funguje bez problémů až do chvíle, než dám v administraci "Vyčistit mezipaměť" nebo zapnu "Vynucenou kompilaci" a vypnu cache.

Po tomto modul nefunguje a jediné co pomůže je, že ho musím v administraci obnovit a konfigurovat znova.

 

Děkuji za pomoc

Share this post


Link to post
Share on other sites

My entire store broke because of this module. I have to go to Performance, Disable overrides to get back my store. Worst still, in modules > Modules, this module cant be found so I cannot uninstall it but it can be found in the FTP. If I delete it, and disable "disable overrides", my store is still broken. Good grief! 

Share this post


Link to post
Share on other sites

went into another browser and managed to uninstall the module and deleted it, I know it is a free module, but the author ought to test and make sure it works. Would be willing to try again if a new version comes out. 

 

 

final edit: it could be due to an overrides bug inherent in ps1.6.0.7 and ps1.6.0.8. anyway, my "disable overrides" have to be permanently on for now. At least the shop still works... Not sure what is the steps going forward. 

Edited by germinc (see edit history)

Share this post


Link to post
Share on other sites

Got this errors in debug mode

 

 
Strict Standards: Declaration of FrontController::addCSS() should be compatible with FrontControllerCore::addCSS($css_uri, $css_media_type = 'all', $offset = NULL) in /home4/jeremyk5/public_html/movementfirst/override/classes/controller/FrontController.php on line 131
 
Warning: require_once(/home4/jeremyk5/public_html/movementfirst/override/classes/../../modules/cloudcache/cloudcache.php): failed to open stream: No such file or directory in /home4/jeremyk5/public_html/movementfirst/override/classes/Tools.php on line 175
 
Fatal error: require_once(): Failed opening required '/home4/jeremyk5/public_html/movementfirst/override/classes/../../modules/cloudcache/cloudcache.php' (include_path='.:/usr/php/54/usr/lib64:/usr/php/54/usr/share/pear') in /home4/jeremyk5/public_html/movementfirst/override/classes/Tools.php on line 175

Share this post


Link to post
Share on other sites

went into another browser and managed to uninstall the module and deleted it, I know it is a free module, but the author ought to test and make sure it works. Would be willing to try again if a new version comes out. 

 

 

final edit: it could be due to an overrides bug inherent in ps1.6.0.7 and ps1.6.0.8. anyway, my "disable overrides" have to be permanently on for now. At least the shop still works... Not sure what is the steps going forward. 

 

If you have problem width standard module uninstall:

1. delete folder width subfolders and files "modules/pcpayments2carriersfree/"

2. delete override file "override/classes/module/module.php"

 

Module is not testing for PS 1.6.0.7 and 1.6.0.8.

Share this post


Link to post
Share on other sites

 

Got this errors in debug mode

 

 
Strict Standards: Declaration of FrontController::addCSS() should be compatible with FrontControllerCore::addCSS($css_uri, $css_media_type = 'all', $offset = NULL) in /home4/jeremyk5/public_html/movementfirst/override/classes/controller/FrontController.php on line 131
 
Warning: require_once(/home4/jeremyk5/public_html/movementfirst/override/classes/../../modules/cloudcache/cloudcache.php): failed to open stream: No such file or directory in /home4/jeremyk5/public_html/movementfirst/override/classes/Tools.php on line 175
 
Fatal error: require_once(): Failed opening required '/home4/jeremyk5/public_html/movementfirst/override/classes/../../modules/cloudcache/cloudcache.php' (include_path='.:/usr/php/54/usr/lib64:/usr/php/54/usr/share/pear') in /home4/jeremyk5/public_html/movementfirst/override/classes/Tools.php on line 175

 

These errors are not detected for module Payments2Carriers but module cloudcache.

Share this post


Link to post
Share on other sites

Ahoj, mám nainstalovaný Prestashop 1.6.0.8 a používám jednostránkovou platbu.

Modul (v0.9.1) se nainstaloval a funguje bez problémů až do chvíle, než dám v administraci "Vyčistit mezipaměť" nebo zapnu "Vynucenou kompilaci" a vypnu cache.

Po tomto modul nefunguje a jediné co pomůže je, že ho musím v administraci obnovit a konfigurovat znova.

 

Děkuji za pomoc

 

Problém může být způsoben kolizi s jiným modulem, který používá přepsání třídy Module v "/override/classes/module/module.php".

Zkontrolujte proto, jestli tento soubor neinstaluje i jiný modul.

Share this post


Link to post
Share on other sites

 

Got this errors in debug mode

Strict Standards: Declaration of FrontController::addCSS() should be compatible with FrontControllerCore::addCSS($css_uri, $css_media_type = 'all', $offset = NULL) in /home4/jeremyk5/public_html/movementfirst/override/classes/controller/FrontController.php on line 131

Warning: require_once(/home4/jeremyk5/public_html/movementfirst/override/classes/../../modules/cloudcache/cloudcache.php): failed to open stream: No such file or directory in /home4/jeremyk5/public_html/movementfirst/override/classes/Tools.php on line 175
Fatal error: require_once(): Failed opening required '/home4/jeremyk5/public_html/movementfirst/override/classes/../../modules/cloudcache/cloudcache.php' (include_path='.:/usr/php/54/usr/lib64:/usr/php/54/usr/share/pear') in /home4/jeremyk5/public_html/movementfirst/override/classes/Tools.php on line 175

 

According to this bug report and discussions herehere, here, re-installing cloudcache module solves it (if you need that module). There are other possibilities: 

1) - Try renaming this file (override/classes/Tools.php) to something like "Tools2.php" (via FTP) and then check, if everything works ok. I wouldn't recommend deleting it, some other module might have some overrides there as well.

2) - Cloudcache was a free module, I think. If you can send me both the override Tools.php and cloudcache module, I'll check it a send you back a safe version of Tools.php (without overriden parts needed by cloudcache). I was not able to find the module anywhere, it is no more on PS Addons neither on github.

 

If you need to speed up your website, this article looks good: http://www.prestashop.com/blog/en/10-best-tips-to-speed-up-your-prestashop-store-3/

Share this post


Link to post
Share on other sites

I'm working on 1.6.0.8 and it's not working. It installs correct, configure but on front office side not working I mean afeter carrier choice still showing all methods of payments.

Edited by kollek (see edit history)
  • Like 1

Share this post


Link to post
Share on other sites

I used till prestashop 1.6.0.7 Ship2pay module but yesterday I updated to ps 1.6.0.8 and that module is not working anymore.

So I Try't this new module and it is working just great on ps 1.6.0.8. No problems at all.

Thanks for the great module PrestaCS.

 

@kollek

 

Do not forget to clear all cache and it should work just fine.

 

Regards

 

ysco..

Share this post


Link to post
Share on other sites
  • 2 weeks later...

Hi, I installed this module but it doesn't work with paypal

In Bo it's possible to set filters (delivery/payment) and PayPal appears in the filters table, but in FO paypal doesn't appear.

I check in modules/payment setting and Paypal is correctly set.

Share this post


Link to post
Share on other sites

Hi, I installed this module but it doesn't work with paypal

 

In Bo it's possible to set filters (delivery/payment) and PayPal appears in the filters table, but in FO paypal doesn't appear.

I check in modules/payment setting and Paypal is correctly set.

Same problem here.

Anyone has a solution for this problem?

Share this post


Link to post
Share on other sites

Hi, after I install the module I cant even go to settings of it, because it writes that the controller was not found. I have prestashop 1.6.0.9. Do you have any idea what could cause the problem?
Thanks in advance :)

Share this post


Link to post
Share on other sites
  • 2 weeks later...
  • 2 weeks later...

Hi guys i instal it on prestashop 1.6.0.9 and unistal couse it was giving bad total price in the end (lol) so i uninstall a module and all settings still are it there and bad price is still it there oO

Share this post


Link to post
Share on other sites
  • 1 month later...
  • 3 weeks later...

Prestacenter Payments2Carriers Free version 0.9.1

 

Module Prestacenter Payments2Carriers Free is used to assign payment methods to carriers.

 

The new version is completely redesigned and works in all versions of PrestaShop 1.5 and 1.6.

 

Limitation: Free version does not work in Mutistore e-shops.

 

How much Multistore version?

Share this post


Link to post
Share on other sites

not working with the populair Onepage checkout module (where the default carrier is stamdard visible and selected) it says: no payment methods.

 

after you select the carrier again, it shows the right payment options available...

 

Update: I buy a paid version on addons that working good.

Edited by Stefand (see edit history)

Share this post


Link to post
Share on other sites
  • 4 weeks later...

I have removed download as this has caused some issues for virtual products at checkout.  This module can have repercussions that are not obvious after installation.  And there are to many posts here about issues. 

 

 

I've also locked the topic for further updates.

 

PrestaCS.cz if you would like to continue providing this module you may do so by submitting the module to be listed here:

 

http://www.prestashop.com/forums/topic/233442-free-modules-list-only-valuable-and-proven-solutions-31032014/

 

and you can PM me if you like.  

Share this post


Link to post
Share on other sites
Guest
This topic is now closed to further replies.
×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More